package com.citygis.web.service;

import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabSystemOther;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 登录页系统连接 服务类
 * </p>
 *
 * @author citygis
 * @since 2024-12-25
 */
public interface ITabSystemOtherService extends IService<TabSystemOther> {

    List<TabSystemOther> getTabSystemOtherList(TabSystemOther tabSystemOther);

    AjaxResult insertTabSystemOther(TabSystemOther tabSystemOther);

    AjaxResult updateTabSystemOtherById(TabSystemOther tabSystemOther);

    AjaxResult falseDeleteTabSystemOtherById(Long id);

}
